Package fr.gouv.vitam.common.security

# Class VitamLoggerLog

java.lang.Object
fr.gouv.vitam.common.security.VitamLoggerLog

All Implemented Interfaces:
  `org.owasp.esapi.Logger`

public class VitamLoggerLog extends Object implements org.owasp.esapi.Logger
Dummy Implementation of Logger for ESAPI

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.owasp.esapi.Logger

  `org.owasp.esapi.Logger.EventType`

- ## Field Summary

  ### Fields inherited from interface org.owasp.esapi.Logger

  `ALL, DEBUG, ERROR, EVENT_FAILURE, EVENT_SUCCESS, EVENT_UNSPECIFIED, FATAL, INFO, OFF, SECURITY_AUDIT, SECURITY_FAILURE, SECURITY_SUCCESS, TRACE, WARNING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamLoggerLog(String name)`
  Empty constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `always(org.owasp.esapi.Logger.EventType type, String message)`
  `void`
  `always(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)`
  `void`
  `debug(org.owasp.esapi.Logger.EventType type, String message)`
  `void`
  `debug(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)`
  `void`
  `error(org.owasp.esapi.Logger.EventType type, String message)`
  `void`
  `error(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)`
  `void`
  `fatal(org.owasp.esapi.Logger.EventType type, String message)`
  `void`
  `fatal(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)`
  `int`
  `getESAPILevel()`
  `void`
  `info(org.owasp.esapi.Logger.EventType type, String message)`
  `void`
  `info(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)`
  `boolean`
  `isDebugEnabled()`
  `boolean`
  `isErrorEnabled()`
  `boolean`
  `isFatalEnabled()`
  `boolean`
  `isInfoEnabled()`
  `boolean`
  `isTraceEnabled()`
  `boolean`
  `isWarningEnabled()`
  `void`
  `setLevel(int level)`
  `void`
  `trace(org.owasp.esapi.Logger.EventType type, String message)`
  `void`
  `trace(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)`
  `void`
  `warning(org.owasp.esapi.Logger.EventType type, String message)`
  `void`
  `warning(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VitamLoggerLog

    public VitamLoggerLog(String name)
    Empty constructor
    Parameters:
      `name` -

- ## Method Details

  - ### setLevel

    public void setLevel(int level)
    Specified by:
      `setLevel` in interface `org.owasp.esapi.Logger`

  - ### getESAPILevel

    public int getESAPILevel()
    Specified by:
      `getESAPILevel` in interface `org.owasp.esapi.Logger`

  - ### fatal

    public void fatal(org.owasp.esapi.Logger.EventType type, String message)
    Specified by:
      `fatal` in interface `org.owasp.esapi.Logger`

  - ### fatal

    public void fatal(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)
    Specified by:
      `fatal` in interface `org.owasp.esapi.Logger`

  - ### isFatalEnabled

    public boolean isFatalEnabled()
    Specified by:
      `isFatalEnabled` in interface `org.owasp.esapi.Logger`

  - ### error

    public void error(org.owasp.esapi.Logger.EventType type, String message)
    Specified by:
      `error` in interface `org.owasp.esapi.Logger`

  - ### error

    public void error(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)
    Specified by:
      `error` in interface `org.owasp.esapi.Logger`

  - ### isErrorEnabled

    public boolean isErrorEnabled()
    Specified by:
      `isErrorEnabled` in interface `org.owasp.esapi.Logger`

  - ### warning

    public void warning(org.owasp.esapi.Logger.EventType type, String message)
    Specified by:
      `warning` in interface `org.owasp.esapi.Logger`

  - ### warning

    public void warning(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)
    Specified by:
      `warning` in interface `org.owasp.esapi.Logger`

  - ### isWarningEnabled

    public boolean isWarningEnabled()
    Specified by:
      `isWarningEnabled` in interface `org.owasp.esapi.Logger`

  - ### info

    public void info(org.owasp.esapi.Logger.EventType type, String message)
    Specified by:
      `info` in interface `org.owasp.esapi.Logger`

  - ### info

    public void info(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)
    Specified by:
      `info` in interface `org.owasp.esapi.Logger`

  - ### isInfoEnabled

    public boolean isInfoEnabled()
    Specified by:
      `isInfoEnabled` in interface `org.owasp.esapi.Logger`

  - ### debug

    public void debug(org.owasp.esapi.Logger.EventType type, String message)
    Specified by:
      `debug` in interface `org.owasp.esapi.Logger`

  - ### debug

    public void debug(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)
    Specified by:
      `debug` in interface `org.owasp.esapi.Logger`

  - ### isDebugEnabled

    public boolean isDebugEnabled()
    Specified by:
      `isDebugEnabled` in interface `org.owasp.esapi.Logger`

  - ### trace

    public void trace(org.owasp.esapi.Logger.EventType type, String message)
    Specified by:
      `trace` in interface `org.owasp.esapi.Logger`

  - ### trace

    public void trace(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)
    Specified by:
      `trace` in interface `org.owasp.esapi.Logger`

  - ### isTraceEnabled

    public boolean isTraceEnabled()
    Specified by:
      `isTraceEnabled` in interface `org.owasp.esapi.Logger`

  - ### always

    public void always(org.owasp.esapi.Logger.EventType type, String message)
    Specified by:
      `always` in interface `org.owasp.esapi.Logger`

  - ### always

    public void always(org.owasp.esapi.Logger.EventType type, String message, Throwable throwable)
    Specified by:
      `always` in interface `org.owasp.esapi.Logger`